// SPRx29  jcv 19-Feb-10 Initial version 
// SPRx29b jcv 10-Mar-10 Added final columns arrangements

#ifndef FIX_H
#define FIX_H

#include "Dal.h"

  DataSet *tcxSet;
  Table *tab;

  ///////////////////////
  // Column declarations
  Column *frameCol;
  Column *utcdayCol;
  Column *utcmilCol;
  Column *utcmicCol;
  Column *utcflagCol;
  Column *ertCol;
  Column *gsidCol;
  Column *ertrawCol;

  Column *obtnofitCol;
  Column *utcnofitCol;


  // The new data
  Column *utcreaCol;
  Column *obtrCol;
  Column *passCol;
  Column *gsCol;
  Column *predERTCol;
  Column *residCol;

  ///////////////////////
  // Data declarations
  ColumnData *frameColD;
  ColumnData *utcdayColD;
  ColumnData *utcmilColD;
  ColumnData *utcmicColD;
  ColumnData *utcflagColD;
  ColumnData *ertColD;
  ColumnData *gsidColD;
  ColumnData *ertrawColD;

  // The new columns
  ColumnData *utcreaColD;
  ColumnData *obtrColD;
  ColumnData *passColD;
  ColumnData *gsColD;
  ColumnData *predERTColD;
  ColumnData *residColD;

  ColumnData *utcnofitColD;
  ColumnData *obtnofitColD;

  ///////////////////////
  // (Numeric) Data declarations
  int32  *frameData;
  int16  *utcdayData;
  int32  *utcmilData;
  int16  *utcmicData;
  // No ERT Data
  int16  *utcflagData;
  int16  *gsData;
  // No Raw ERT Data

  // The new data
  real64 *utcreaData;
  real64 *obtrData;
  real64 *predERTData;
  real64 *residData;

  real64 *utcnofitData;
  real64 *obtnofitData;

  void myclose();
  void myopen();
  void mymove();
  void mycleanup();


#endif
