// SPRx19 jcv 17-Dec-09 Enhanced tcxdump capabilities

#ifndef TCX_H
#define TCX_H

#include "Dal.h"

namespace TCXfiles {
  enum type {TCS, TCX};
}

class TCX {

 public:

  DataSet *dataSet;
  Table *tab;

  Column *frameCol;
  Column *obtcCol;
  Column *obtfCol;
  Column *utcdayCol;
  Column *utcmilCol;
  Column *utcmicCol;
  Column *utcflagCol;
  //Column *corrparaCol;
  //Column *corrparbCol;
  Column *ertCol;
  Column *gsidCol;
  Column *ertrawCol;

  ColumnData *frameColD;
  ColumnData *obtcColD;
  ColumnData *obtfColD;
  ColumnData *utcdayColD;
  ColumnData *utcmilColD;
  ColumnData *utcmicColD;
  ColumnData *utcflagColD;
  //ColumnData *corrparaColD;
  //ColumnData *corrparbColD;
  ColumnData *ertColD;
  ColumnData *gsidColD;
  ColumnData *ertrawColD;

  int32  *frameData;
  int32  *obtcData;
  uint16 *obtfData;
  int16  *utcdayData;
  int32  *utcmilData;
  int16  *utcmicData;
  // No ERT Data
  int16  *utcflagData;
  int16  *gsData;
  // No Raw ERT Data

  TCX(TCXfiles::type, int rev, int obsid);
  
  void close();
  void open(Dal::AccessMode mode = DataSet::Read);
  string getFilename();
  string getTablename();

  TCXfiles::type fileType;

  string filename;

  string tablename;

};


#endif
