#include <iostream>

#include "tcsdump.h"
#include "TCS.h"
#include "CalOalUtility.h"
#include "Utils.h"
#include "STime.h"

inline double convertToDouble(const std::string& s);

///////////////////////
//
//
//
//
void tcsdump () {
  
  string infile = stringParameter("file");

  int revno = atoi(infile.substr(0,4).c_str());
  int obsid = atoi(infile.substr(5,10).c_str());

  TCS tcsfile(TCSfiles::TCS, revno, obsid);

  for (unsigned int i = 0; i < tcsfile.tab->rows(); i++ ) {

    int TCSOBTC = tcsfile.obtcData[i];
    int TCSOBTF = tcsfile.obtfData[i];
    STime TCSERT(CalOalUtility::stringColumnRow(tcsfile.ertColD, i));
    STime TCSRAWERT(CalOalUtility::stringColumnRow(tcsfile.ertrawColD, i));
	double TCSCORRPARA = convertToDouble(CalOalUtility::stringColumnRow(tcsfile.corrparaColD, i));
	double TCSCORRPARB = convertToDouble(CalOalUtility::stringColumnRow(tcsfile.corrparbColD, i));
    string TCSgsid(CalOalUtility::stringColumnRow(tcsfile.gsidColD, i));
 
    double OBT = (double)TCSOBTC + (double)TCSOBTF / 65536.0; 

	std::cout.precision(16);
	std::cout 
		<< "GS: "
		<< TCSgsid 
		<< " OBT: "
		<< OBT
		<< " RawERT: " 
		<< TCSRAWERT.modifiedJulianDay().full()
		<< " TCS: "
		<< TCSERT.modifiedJulianDay().full()
		<< " Slope: "
		<< TCSCORRPARA
		<< " Intercept: "
		<< TCSCORRPARB
		<< std::endl; 

  }

}

inline double convertToDouble(const std::string& s)
{
	std::istringstream i(s);

	double x;
	
	i >> x;	

	return x;

} 

